// blah
function build_tab(name,text,target,state,page_type)	{
	var bt=this;
	this.id="tab"+tabs.length;
	this.name=name;
	this.text=text;
	this.target=target;
	this.state=state;		// 0 = closed/hidden, 1 = selected, 2 = unselected
	this.page_type=page_type;

	switch (page_type)	{
		case "config":
			this.page=new build_page_config(tabs.length,target);
			break;
		case "execute":
			document.getElementById("pages").innerHTML+="<div id='"+target+"' class='page_hidden'></div>";
			this.page=new build_page_execute(tabs.length,target,text);
			break;
		case "dashboard":
			this.page=new build_page_dashboard(tabs.length,target);
			break;
		case "inventory":
			this.page=new build_page_inventory(tabs.length,target);
			break;
		case "blocklist":
			this.page=new build_page_blocklist(tabs.length,target);
			break;
		default:
			this.page=new build_page_na(tabs.length);
			break;
	}
	return this;
}

// define some constants
var REFRESH_TIMER_EVENT=60000;
var REFRESH_TIMER_BLOCK=55000;
var TARGET_EVENT="asl_sec_event";
var CONTAINER_EVENT="asl_sec_event";
var TARGET_EVENT_DETAIL="asl_sec_event_detail";
var TARGET_VULN="asl_vulnerabilities";
var TARGET_UPDATES="asl_sig_update";
var TARGET_FILECHECK="asl_file_integrity";
var TARGET_BULLETIN="asl_sec_bulletin";
var TARGET_MODULE="asl_sec_module";
var TARGET_INVENTORY="page_inventory";
var TARGET_BLOCKLIST="page_blocklist";
// general
var TAB_TARGET="asl_tabs";
var SUPPORT_TARGET="if_support";
// execution
var EXE_LOG_TARGET="/tmp/foo";

tabs=new Array();
	tabs[tabs.length]=new build_tab("tab_dashboard","Dashboard","page_dashboard",1,"dashboard");
	tabs[tabs.length-1].page.init();
	tabs[tabs.length]=new build_tab("tab_inventory","Inventory","page_inventory",2,"inventory");
	tabs[tabs.length-1].page.init();
	tabs[tabs.length]=new build_tab("tab_blocklist","Block List","page_blocklist",3,"blocklist");
	tabs[tabs.length-1].page.init();
	tabs[tabs.length]=new build_tab("tab_config","Configuration","page_config",4,"config");
	tabs[tabs.length-1].page.init();
tab_refresh();

function init_pages()	{
	tmp="";
	for (i=0;i<tabs.length;i++)	{
		tmp+="\t\t<div id='"+tabs[i].page.target+"' class='page_hidden'></div>\n";
	}
	document.getElementById("pages").innerHTML=tmp;
	for (i=0;i<tabs.length;i++)	{
		tabs[i].page.init();
	}
}

function page_hide(id)	{document.getElementById(tabs[id].page.target).className="page_hidden";}
function page_show(id)	{document.getElementById(tabs[id].page.target).className="page_visible";}

function nav_config_load(id)	{tabs[id].page.load_config();}
function nav_config_save(id)	{tabs[id].page.save_config();}

function nav_config_show_help(id,name)	{tabs[id].page.show_help(name);}
function nav_config_hide_help(id)		{tabs[id].page.hide_help();}

function nav_config_execute()	{
	//filename=document.f_nav_config.config_file.value;
	tabs[3].page.save_config();
	filename="/etc/asl/config";
	flag=1;
	id=0;
	exe_count=0;
	for (i=0;i<tabs.length;i++)	{
		if (tabs[i].text==filename)	{flag=0;id=1;}
		if (tabs[i].page_type=="execute")	{exe_count++;}
	}
	if (flag==1)	{
		target="execute"+exe_count;
		tabs[tabs.length]=new build_tab("tab_execute",filename,target,1,"execute");
	
		// ---------------------------------------------------------------------
		//for (i=0;i<document.f_nav_config.config_file.options.length;i++)	{
		//	if (document.f_nav_config.config_file.options[i].text==filename)	{
		//		document.f_nav_config.config_file.options[i].selected=true;
		//	}
		//}
		//document.f_nav_config_save.filename.value=filename;
		// ---------------------------------------------------------------------
		t=tabs.length-1;
		for (i=0;i<t;i++)	{
			if (i==t) 	{tabs[i].state=1;}
			else		{tabs[i].state=2;}
		}
		
		tab_add(tabs.length-1);
		tab_select(tabs.length-1);
	}
	else	{
		tab_select(id);
	}
}