<?php
# Copyright 2009 Atomicorp a subsidiary of Prometheus Global, Inc., 
# All Rights Reserved.
# http://www.atomicorp.com
#
# This is copyright protected software.  Use of this Software is 
# ruled by the terms of the End User License Agreement, included in 
# or with the Software (EULA). Final user must accept the terms of 
# the EULA in order to install and use the Software.
#
# Distribution of this work or derivative of this work in any form is 
# prohibited unless prior written permission is obtained from the 
# copyright holder. 
#
# COPY OR REPRODUCTION OF THIS SOFTWARE ON ANOTHER SYSTEM OR POSITIONING 
# IN ORDER TO FACILITATE SUCH COPYING OR DISTRIBUTION IS STRICTLY FORBIDDEN.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS   
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE   
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR   
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN   
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)   
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF   
# THE POSSIBILITY OF SUCH DAMAGE.

include_once(PRODUCT_ROOT."/admin/plib/modules/pm.php");
if (!$session->chkLevel(IS_ADMIN)) {
        pm_alert(pm_lmsg('__perm_denied').'You must be admin to use this page');
        go_to_uplevel();
}


ob_start();
//session_start();
require("AjaxRequest.php");

switch ($_GET["display"]) {
	case "dashboard":
		switch ($_GET["sub"]) {
			case "vulnerability":
				require_once("DB_Vulnerability.php");
				$rh=new DB_Vulnerability($_GET,$_POST);
				break;
			case "vulnerability_detail":
				require_once("DB_VulnerabilityDetail.php");
				$rh=new DB_VulnerabilityDetail($_GET,$_POST);
				break;
			case "bulletin":
				require_once("DB_Bulletin.php");
				$rh=new DB_Bulletin($_GET,$_POST);
				break;
			case "sig_update":
				require_once("DB_SigUpdate.php");
				$rh=new DB_SigUpdate($_GET,$_POST);
				break;
			case "sec_module":
				require_once("DB_SecModule.php");
				$rh=new DB_SecModule($_GET,$_POST);
				break;
			case "file_check":
				require_once("DB_FileCheck.php");
				$rh=new DB_FileCheck($_GET,$_POST);
				break;
			case "file_detail":
				require_once("DB_FileDetail.php");
				$rh=new DB_FileDetail($_GET,$_POST);
				break;
			case "sec_event":
				require_once("DB_SecEvent.php");
				$rh=new DB_SecEvent($_GET,$_POST);
				break;
			case "sec_event_detail":
				require_once("DB_SecEventDetail.php");
				$rh=new DB_SecEventDetail($_GET,$_POST);
				break;
			case "dtl_whitelist":
				require_once("DB_SecEventDetailInteract.php");
				$rh=new DB_SecEventDetailInteract($_GET,$_POST);
				break;
			case "dtl_disable":
				require_once("DB_SecEventDetailInteract.php");
				$rh=new DB_SecEventDetailInteract($_GET,$_POST);
				break;
			case "dtl_false":
				require_once("DB_SecEventDetailInteract.php");
				$rh=new DB_SecEventDetailInteract($_GET,$_POST);
				break;
		}
		break;
	case "inventory":
		require_once("Inventory.php");
		$rh=new Inventory($_GET,$_POST);
		break;
	case "blocklist":
		switch ($_GET["sub"]) {
			case "block":
				require_once("Blocklist.php");
				$rh=new Blocklist($_GET,$_POST);
				break;
			case "white":
				require_once("Whitelist.php");
				$rh=new Whitelist($_GET,$_POST);
				break;
			case "black":
				require_once("Blacklist.php");
				$rh=new Blacklist($_GET,$_POST);
				break;
			case "geo":
				require_once("Geoblock.php");
				$rh=new Geoblock($_GET,$_POST);
				break;
		}

	case "config":
		switch ($_GET["sub"]) {
			case "get_configs":
				require_once("Config_Get.php");
				$rh=new Config_Get($_GET,$_POST);
				break;
			case "load_config":
				require_once("Config_Load.php");
				$rh=new Config_Load($_GET,$_POST);
				break;
			case "save_config":
				break;
			case "execute_config":
				break;
			case "get_help":
				require_once("Config_Help.php");
				$rh=new Config_Help($_GET,$_POST);
				break;
		}
		break;
}
ob_end_flush();
include("../templates/".$rh->template);
//include("../templates/test.tmp");
?>
